Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451084 - SQL Inject me failure internal server 500 error
Summary: SQL Inject me failure internal server 500 error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Collaboration Applications
Classification: Retired
Component: Wordpress
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: srividya rapur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 18:10 UTC by Ricky Broadnax
Modified: 2008-10-06 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-22 16:29:41 UTC


Attachments (Terms of Use)
SQL Inject Me Widgets Failure Screenshoot (deleted)
2008-06-12 18:11 UTC, Ricky Broadnax
no flags Details

Description Ricky Broadnax 2008-06-12 18:10:26 UTC
Description of problem:SQL Inject me failure internal server 500 error


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. log into: https://propaganda-wpmu-bretm-virt2.usersys.redhat.com/wp-admin/

2.  Logged in as admin/redhat
3.  Clicked the Syndication link
4.  Ran the SQL Inject Me automated testing tool which resulted in the failure
indicated in the attached file.


  
Actual results: Test Failure (1)


Expected results:


Additional info:

Comment 1 Ricky Broadnax 2008-06-12 18:11:36 UTC
Created attachment 309119 [details]
SQL Inject Me Widgets Failure Screenshoot

Comment 2 Ricky Broadnax 2008-06-12 18:24:24 UTC
Steps to Reproduce: 

Change step 2 to read: Clicked the Design - Widgets link

Comment 3 Bret McMillan 2008-06-12 18:36:57 UTC
Ricky, if I interpret the screenshot correctly, it's stating just that the page
returned a "bad error code" of 500 (Internal Server Error) when we tried to do
something naughty.  While not pretty, it's a reasonable response to a corner
case like a sql injection attack, provided that "nothing bad" happened to
anything at the data persistence level.

What sql did we actually try to inject, and what gives us the impression that
the attack was successful?

Comment 4 Steve Milner 2008-06-16 13:43:29 UTC
Bret,

I think what they are trying to say is that there *could* be an issue there
since it gave a 500 ... so if it was successful or not, they are not sure, but
they wanted to let you know so you could check it.

Comment 5 David Lawrence 2008-10-06 16:35:02 UTC
Moving to product "Red Hat Collaboration Applications".


Note You need to log in before you can comment on or make changes to this bug.